Subject: Re: [PATCH 09/25] xor: move generic implementations out of asm-generic/xor.h

From: Christoph Hellwig <[email-masked]>
Date: Tue, 10 Mar 2026 15:00:20 +0100

On Tue, Mar 03, 2026 at 05:09:11PM +0100, Christoph Hellwig wrote:
> And earlier version did this, but it's a bit ugly.  What I might
> consider is to require architectures that provide optimized version
> to opt into any generic one they want to use.  This would require
> extra kconfig symbols, but be a lot cleaner overall.

I looked into this, but because the static_call requires a default
version I gave up on it for now.  In theory we could build just
a single generic one for that and make the others optional, but
that feels a bit odd.